Get image usage statistics
GET
/operations/workloads/image-stats
const url = 'https://shoehorn.example.com/api/v1/operations/workloads/image-stats';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shoehorn.example.com/api/v1/operations/workloads/image-statsReturns aggregated container image statistics across workloads. All filters are optional and combine with AND.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” cluster
string
namespace
string
team
string
owner
string
Responses
Section titled “ Responses ”Image statistics
Media type application/json
object
total_images
integer
unique_images
integer
by_registry
object
key
additional properties
integer
outdated
Images older than the platform’s freshness threshold
integer
Example generated
{ "total_images": 1, "unique_images": 1, "by_registry": { "additionalProperty": 1 }, "outdated": 1}Invalid filter value